Package org.eclipse.rdf4j.queryrender.builder

## Class FilterBuilder<T extends ParsedQuery,​E extends SupportsGroups>

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.FilterBuilder<T,​E>

-     @Deprecated
      public class FilterBuilder<T extends ParsedQuery,​E extends SupportsGroups>
      extends Object

  Deprecated.
  use `SparqlBuilder` instead.

  Builder class for creating a filter expression in a query.

  Author:
    Michael Grove

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GroupBuilder<T,​E>` | `and​(ValueExpr theLeft, ValueExpr theRight)` | Deprecated.
    `GroupBuilder<T,​E>` | `bound​(String theVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `eq​(String theVar, String theOtherVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `eq​(String theVar, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `filter​(ValueExpr theExpr)` | Deprecated.
    `GroupBuilder<T,​E>` | `ge​(String theVar, String theOtherVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `ge​(String theVar, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `gt​(String theVar, String theOtherVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `gt​(String theVar, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `langMatches​(ValueExpr theLeft, ValueExpr theRight)` | Deprecated.
    `GroupBuilder<T,​E>` | `le​(String theVar, String theOtherVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `le​(String theVar, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `lt​(String theVar, String theOtherVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `lt​(String theVar, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `ne​(String theVar, String theOtherVar)` | Deprecated.
    `GroupBuilder<T,​E>` | `ne​(String theVar, Value theValue)` | Deprecated.
    `GroupBuilder<T,​E>` | `not​(ValueExpr theExpr)` | Deprecated.
    `GroupBuilder<T,​E>` | `or​(ValueExpr theLeft, ValueExpr theRight)` | Deprecated.
    `GroupBuilder<T,​E>` | `regex​(ValueExpr theExpr, String thePattern)` | Deprecated.
    `GroupBuilder<T,​E>` | `regex​(ValueExpr theExpr, String thePattern, String theFlags)` | Deprecated.
    `GroupBuilder<T,​E>` | `sameTerm​(ValueExpr theLeft, ValueExpr theRight)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### filter

          public GroupBuilder<T,​E> filter​(ValueExpr theExpr)

      Deprecated.

    - #### bound

          public GroupBuilder<T,​E> bound​(String theVar)

      Deprecated.

    - #### not

          public GroupBuilder<T,​E> not​(ValueExpr theExpr)

      Deprecated.

    - #### and

          public GroupBuilder<T,​E> and​(ValueExpr theLeft,
                                             ValueExpr theRight)

      Deprecated.

    - #### or

          public GroupBuilder<T,​E> or​(ValueExpr theLeft,
                                            ValueExpr theRight)

      Deprecated.

    - #### sameTerm

          public GroupBuilder<T,​E> sameTerm​(ValueExpr theLeft,
                                                  ValueExpr theRight)

      Deprecated.

    - #### regex

          public GroupBuilder<T,​E> regex​(ValueExpr theExpr,
                                               String thePattern)

      Deprecated.

    - #### langMatches

          public GroupBuilder<T,​E> langMatches​(ValueExpr theLeft,
                                                     ValueExpr theRight)

      Deprecated.

    - #### lt

          public GroupBuilder<T,​E> lt​(String theVar,
                                            String theOtherVar)

      Deprecated.

    - #### lt

          public GroupBuilder<T,​E> lt​(String theVar,
                                            Value theValue)

      Deprecated.

    - #### gt

          public GroupBuilder<T,​E> gt​(String theVar,
                                            String theOtherVar)

      Deprecated.

    - #### gt

          public GroupBuilder<T,​E> gt​(String theVar,
                                            Value theValue)

      Deprecated.

    - #### eq

          public GroupBuilder<T,​E> eq​(String theVar,
                                            String theOtherVar)

      Deprecated.

    - #### eq

          public GroupBuilder<T,​E> eq​(String theVar,
                                            Value theValue)

      Deprecated.

    - #### ne

          public GroupBuilder<T,​E> ne​(String theVar,
                                            String theOtherVar)

      Deprecated.

    - #### ne

          public GroupBuilder<T,​E> ne​(String theVar,
                                            Value theValue)

      Deprecated.

    - #### le

          public GroupBuilder<T,​E> le​(String theVar,
                                            String theOtherVar)

      Deprecated.

    - #### le

          public GroupBuilder<T,​E> le​(String theVar,
                                            Value theValue)

      Deprecated.

    - #### ge

          public GroupBuilder<T,​E> ge​(String theVar,
                                            String theOtherVar)

      Deprecated.

    - #### ge

          public GroupBuilder<T,​E> ge​(String theVar,
                                            Value theValue)

      Deprecated.

    - #### regex

          public GroupBuilder<T,​E> regex​(ValueExpr theExpr,
                                               String thePattern,
                                               String theFlags)

      Deprecated.